<?php
/**
 *
 * @category        admintool
 * @package         phpinfo
 * @author          Ruud Eisinga - www.dev4me.nl
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @version         0.2.0
 * @lastmodified    May 31, 2012
 *
 */

// Must include code to stop this file being access directly
if(defined('WB_PATH') == false) { die("Cannot access this file directly"); }

?>
<table cellpadding="3" border="0">
	<tbody>
	<tr class="h">
		<td><h1 class="p">WebsiteBaker - Installed Addons</h1></td>
	</tr>
	</tbody>
</table>
<br/>

<?php	
get_addon('module');
get_addon('template');
get_addon('language');


function get_addon($type = 'module') {
	global $database;
	echo "<table cellpadding='3' border='0'>
		<tr class='h'><td class='h' colspan='7'><h3>".$type."s</h3></td></tr>
		<tr><td class='h'>Name</td>
		<td class='h'>Type</td>
		<td class='h'>Version</td>
		<td class='h'>Platform</td>
		<td class='h'>Description</td>
		<td class='h'>Author</td>
		<td class='h'>License</td>
	</tr>";
	$res = $database->query("SELECT * FROM ".TABLE_PREFIX."addons WHERE `type`='$type' ORDER BY `function`");
	if($res && $res->numRows() > 0) {
		while ($row = $res->fetchRow()) {
			echo "<tr>
				<td class='v'>".$row['name']."</td>
				<td class='v'>".$row['type'].($row['function']?'/'.$row['function']:'')."</td>
				<td class='v'>".$row['version']."</td>
				<td class='v'>".$row['platform']."</td>
				<td class='v'>".$row['description']."</td>
				<td class='v'>".$row['author']."</td>
				<td class='v'>".$row['license']."</td>
				</tr>";
		}
	}
	echo "</table><br/>";
}