<?php
/**
 *
 * @category        admintool
 * @package         phpinfo
 * @author          Ruud Eisinga - www.dev4me.nl
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @version         0.2.0
 * @lastmodified    May 31, 2012
 *
 */

// Must include code to stop this file being access directly
if(defined('WB_PATH') == false) { die("Cannot access this file directly"); }
if(!defined('THEME_URL')) define('THEME_URL', ADMIN_URL);

//check admin groups
$groups = explode(",", $_SESSION['GROUPS_ID']);
if(!in_array(1,$groups)) {
	echo "Sorry, No access";
	return;
}

$type = isset($_GET['type']) ? $_GET['type']:'';
$toolurl = ADMIN_URL.'/admintools/tool.php?tool=sysinfo'
?>
<div class="phpinfo">
<table summary="" cellpadding="5" cellspacing="0" border="0" align="center" width="100%" style="margin-bottom:10px;">
	<tbody>
	<tr >
		<td class="h">
			<a href="<?php echo $toolurl ?>&type=front">WebsiteBaker News</a>
			|
			<a href="<?php echo $toolurl ?>&type=phpinfo">PHP info</a>
			|
			<a href="<?php echo $toolurl ?>&type=mysql">MySQL info</a>
			|
			<a href="<?php echo $toolurl ?>&type=permissions">File Permissions</a>
			|
			<a href="<?php echo $toolurl ?>&type=constants">WB Constants</a>
			|
			<a href="<?php echo $toolurl ?>&type=addons">Addons</a>
			|
			<a href="<?php echo $toolurl ?>&type=users">Users</a>
			|
			<a href="<?php echo $toolurl ?>&type=misc">Misc.</a>
		</td>
     </tr>
	</tbody>
</table>
<br/>
<?
if ($type == 'constants') { 
	include ('funcs/constants.php');
} elseif ($type == 'mysql') { 
	include ('funcs/mysqlinfo.php');
} elseif ($type == 'permissions') { 
	include ('funcs/permissions.php');
} elseif ($type == 'addons') { 
	include ('funcs/addons.php');
} elseif ($type == 'users') { 
	include ('funcs/users.php');
} elseif ($type == 'phpinfo') { 
	include ('funcs/phpinfo.php');
} elseif ($type == 'front') { 
	include ('funcs/frontpage.php');
} elseif ($type == 'misc') { 
	include ('funcs/misc.php');
} else {	
?>
<table cellpadding="5" cellspacing="0" border="0" align="center" width="100%" style="border: 2px solid #f00; padding:0;">
	<tbody>
	<tr >
		<td class="">
			<h3>WARNING</h3>
			This tool exposes a lot of information about your current WebsiteBaker installation and your webspace configuration.<br/>
			It is intended to be used for debugging puposes only!<br/><br/>
			You <strong>must make sure</strong> no other users you allow to login to this system are able to see this information.<br/>
			This can be done by setting the correct permissions in the groups information linked to your users, or simply by uninstalling this tool when you do not need to use it!<br/><br/>
			The developer of this tool and the WebsiteBaker organisation will take no responsibility for any misue of the information exposed!<br/><br/>
		</td>
     </tr>
	</tbody>
</table>
<?php } ?>
</div>
